{% extends "slow_forum/base_content.html"%}
{% load i18n tz %}


{% block page_title %}
    {% translate "About this forum" %}
{% endblock %}

{% block content_title %}
    {% translate "About this forum" %}
{% endblock %}

{% block content %}
    
    {% if global_preferences.general__forum_description %}
        <div class="forum_description mb-5">
            <p>
                {{ global_preferences.general__forum_description|escape|linebreaks }}
            </p>
        </div>
    {% endif %}

    {% if global_preferences.general__forum_rules %}
        <div class="forum_rules mb-5">
            <h2 class="text-secondary mb-4">
                <i class="bi bi-list-ol"></i>
                {% translate "Forum rules" %}
            </h2>
            
            <p>
                {{ global_preferences.general__forum_rules|escape|linebreaks }}
            </p>
        </div>
    {% endif %}

    <h2 class="text-secondary mb-4">
        <i class="bi bi-hammer"></i>
        {% translate "Forum made with" %}
    </h2>

    <p>
        {% blocktranslate %}
        This forum is made using Slow Forum, a Free (as in freedom) Software.
        {% endblocktranslate %}
    </p>

    <p>
        {% blocktranslate %}
        With a free software, you have:
        {% endblocktranslate %}
    </p>

    <ul>
        <li>
            {% translate "The freedom to run the program as you wish, for any purpose (freedom 0)." %}
        </li>
        <li>
            {% translate "The freedom to study how the program works, and change it so it does your computing as you wish (freedom 1)." %}
        </li>
        <li>
            {% translate "The freedom to redistribute copies so you can help your neighbor (freedom 2)." %}
        </li>
        <li>
            {% translate "The freedom to distribute copies of your modified versions to others (freedom 3)." %}
        </li>
    </ul>

    <p>
        <a href="https://en.wikipedia.org/wiki/The_Free_Software_Definition">
            {% translate "More informations about Free Software on the wikipedia article" %}
        </a>
    </p>

    <p>
        {% blocktranslate %}
        Here is the list of the main softwares used, with a link to
        their website, documentation and source code:
        {% endblocktranslate %}
    </p>


    <ul>
        {% for software in softwares_list %}

            <li>
                {{ software.name }}:
                {% if software.website %}
                    <a href="{{ software.website }}">
                        {% translate "Website" %}
                    </a>, 
                {% endif %}
                {% if software.documentation %}
                    <a href="{{ software.documentation }}">
                        {% translate "Documentation" %}
                    </a>, 
                {% endif %}
                {% if software.source_code %}
                    <a href="{{ software.source_code }}">
                        {% translate "Source code" %}
                    </a>
                {% endif %}
            </li>
            
        {% endfor %}
    </ul>
    
{% endblock %}
